## sword 1.8.1

=== CMakeLists.txt ===
# TODO: write FindICU (icu-config only for 2.2 and up) -- currently taken from another CMake system
#       limit pkg-config version to >= 0.14, demo, utilities, doc, tests
#       use BUILD_SHARED_LIBS
#       convince perl swig bindings to build properly
#
# NOTES: Defaults to build type of Shared
#        Forces out-of-source tree build
#
#
# This file started on 18 January 2010 by Gregory Hellings
# It is ceded to The SWORD Library developers and CrossWire under the terms
# of their own GPLv2 license and all copyright is transferred to them for
# all posterity and eternity, wherever such transfer is possible.  Where it is
# not, then this file is released under the GPLv2 by myself.
PROJECT(libsword CXX C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
SET(SWORD_VERSION 1.8.1)

# Make sure it's an out-of-stream build
IF(${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
	MESSAGE(FATAL_ERROR "Please invoke CMake from a different directory than the source.")
ENDIF(${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})

MESSAGE(STATUS "Configuring your system to build libsword.")

###########################################################################################
# Here are some basic CMake variables we need to setup in order for things to work properly
#
# Our include directory, for our own internally created "FIND_PACKAGE" calls, like CLucene
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
# User options
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/options.cmake")
# Source variables
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/sources.cmake")
# Cppcheck
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/CppcheckTargets.cmake")
# Our local includes
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}/include") # For swversion.h
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/include") # For everything else
IF(MSVC)
	INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/src/utilfuns/win32/")
	ADD_DEFINITIONS(-DWIN32 -D_ICUSWORD_ -D_LIB -DREGEX_MALLOC -DSWMAKINGDLL -D_CRT_SECURE_NO_WARNINGS -DCURL_STATICLIB -DUSBINARY -D_CRT_SECURE_NO_DEPRECATE)
ENDIF(MSVC)

###########################################################################################
# This will look for various libraries that libsword builds against.  There is no REQUIRED
# attribute added here, since all of the libraries here are not, in actuality, required.
#
MESSAGE(STATUS "\n-- SEARCHING FOR SYTEM PACKAGES")
# Find our packages
IF(MSVC)
	FIND_PACKAGE(BZIP2 REQUIRED)
	FIND_PACKAGE(XZ REQUIRED)
	FIND_PACKAGE(ICU REQUIRED)
	FIND_PACKAGE(CURL REQUIRED)
ELSE(MSVC)
	FIND_PACKAGE(BZIP2 QUIET)
	FIND_PACKAGE(XZ QUIET)
	FIND_PACKAGE(ICU QUIET)
	FIND_PACKAGE(CURL QUIET)
ENDIF(MSVC)
FIND_PACKAGE(CLucene QUIET)
FIND_PACKAGE(ZLIB QUIET)
FIND_PACKAGE(PkgConfig QUIET)
FIND_PACKAGE(Regex QUIET)

###########################################################################################
# Based on user input and the results of the above tests, we may need to mux with the source
# files to use an internal version of ZLib, cURL-like stuff, or CLucene replacements.  These
# lines below will modify the source files directories so that the required files are only
# included if the option is needed.
#
# Modify the source variables and set necessary definitions, this is a rather long segment,
# so I have sorted it out into its own file
INCLUDE(${CMAKE_CURRENT_SOURCE_DIR}/cmake/muxsources.cmake)

################################################################################################
# This actually creates the build target that is the libsword building target to be generated.
# Most of the work for configuration is done above, already.
#
# I want to do this manually, there might be reason in the future
SET(CPPCHECK_POSSIBLEERROR_ARG "--enable=all")
IF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*" OR NOT LIBSWORD_LIBRARY_TYPE)
	ADD_LIBRARY(sword SHARED ${sword_SOURCES})
    ADD_CPPCHECK(sword
        POSSIBLE_ERROR TRUE
        FORCE TRUE)
	MESSAGE(STATUS "Building Shared library.")
	SET(BUILDING_SHARED 1)
	SET(SWORD_LINK_NAME sword)
ENDIF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*" OR NOT LIBSWORD_LIBRARY_TYPE)

IF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Static.*" OR NOT LIBSWORD_LIBRARY_TYPE)
	ADD_LIBRARY(sword_static STATIC ${sword_SOURCES})
    ADD_CPPCHECK(sword_static
        POSSIBLE_ERROR TRUE
        FORCE TRUE)
	SET_TARGET_PROPERTIES(sword_static PROPERTIES COMPILE_FLAGS "-fPIC")
	SET(BUILDING_STATIC 1)
	# Defaults to linking against the shared if it is also being built
	IF(NOT BUILDING_SHARED)
		SET(SWORD_LINK_NAME sword_static)
	ENDIF(NOT BUILDING_SHARED)
	# With MSVC, the .dll files also create .lib files of the same name
	# with the exported symbols.  Thus, we don't want the two to have the
	# same exact name.  In other systems, the .a and .so suffixes suffice
	# to keep them separate
	IF(NOT MSVC OR NOT LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*")
		SET_TARGET_PROPERTIES(sword_static PROPERTIES
			OUTPUT_NAME "sword")
		#MESSAGE(STATUS "Building Static library with name sword")
	ELSE(NOT MSVC OR NOT LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*")
		#MESSAGE(STATUS "Building Static library with name
		#sword_static")
	ENDIF(NOT MSVC OR NOT LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*")
	MESSAGE(STATUS "Building Static library.")
ENDIF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Static.*" OR NOT LIBSWORD_LIBRARY_TYPE)

################################################################################################
# Some random user settings
#
ADD_DEFINITIONS(-DGLOBCONFPATH="${SYSCONF_INSTALL_DIR}/sword.conf")
SET(CONFFILE "[Install]
DataPath=${SHARE_INSTALL_PREFIX}/sword")
FILE(WRITE "${CMAKE_CURRENT_BINARY_DIR}/sword.conf" "${CONFFILE}")


###############################################################################################
# This allows the user to set a SONAME for the library.  This allows packagers and those who
# care about that sort of thing to be happy and have all their SONAMES set properly.
#
IF(NOT LIBSWORD_SOVERSION AND BUILDING_SHARED)
        SET(SWORD_SOVERSION ${SWORD_VERSION})
ELSE(NOT LIBSWORD_SOVERSION AND BUILDING_SHARED)
        SET(SWORD_SOVERSION ${LIBSWORD_SOVERSION})
ENDIF(NOT LIBSWORD_SOVERSION AND BUILDING_SHARED)

IF(BUILDING_SHARED)
	SET_TARGET_PROPERTIES(sword
		PROPERTIES SOVERSION ${SWORD_SOVERSION})
	MESSAGE(STATUS "Setting SOVERSION to ${SWORD_SOVERSION}")
ENDIF(BUILDING_SHARED)

###############################################################################################
# The buildflags depend on the CMAKE_BUILD_TYPE supplied at the command line.
# For a full lists of different flags see http://cmake.org/Wiki/CMake_Useful_Variables
#
# Cmake has sane defaults for None aka '', DEBUG, RELEASE, RELWITHDEBINFO for known compilers.
#
# You can override these variables on the command-line or here.
# We provide our own defaults below
#
# Note the below two initialisations done for us by cmake:
#
#SET(CMAKE_C_FLAGS                  "${CMAKE_C_FLAGS}"   or "$ENV{CFLAGS}" or "" )
#SET(CMAKE_CXX_FLAGS                "${CMAKE_CXX_FLAGS}" or "$ENV{CXXFLAGS}" or "" )

IF(SWORD_ENABLE_WARNINGS STREQUAL "Yes")
	SET(CMAKE_C_FLAGS "-Werror ${CMAKE_C_FLAGS}")
	SET(CMAKE_CXX_FLAGS "-Werror ${CMAKE_CXX_FLAGS}")
ENDIF(SWORD_ENABLE_WARNINGS STREQUAL "Yes")

IF(SWORD_ENABLE_PROFILE STREQUAL "Yes")
	SET(CMAKE_C_FLAGS   "-pg ${CMAKE_C_FLAGS}")
	SET(CMAKE_CXX_FLAGS "-pg ${CMAKE_CXX_FLAGS}")
ENDIF(SWORD_ENABLE_PROFILE STREQUAL "Yes")

IF(SWORD_ENABLE_PROFILEFN STREQUAL "Yes")
	SET(CMAKE_C_FLAGS   "-g -finstrument-functions ${CMAKE_C_FLAGS}")
	SET(CMAKE_CXX_FLAGS "-g -finstrument-functions ${CMAKE_CXX_FLAGS}")
	TARGET_LINK_LIBRARIES(libsword fnccheck)
ENDIF(SWORD_ENABLE_PROFILEFN STREQUAL "Yes")

IF(MSVC)
	SET(CMAKE_C_FLAGS_DEBUG            "/D /O0 /DDEBUG ${CMAKE_C_FLAGS}")
	SET(CMAKE_C_FLAGS_RELEASE          "/O3 /DNDEBUG ${CMAKE_C_FLAGS}")
	SET(CMAKE_C_FLAGS_RELWITHDEBINFO   "/O3 /D /DDEBUG ${CMAKE_C_FLAGS}")
	SET(CMAKE_CXX_FLAGS_DEBUG          "/D /O0 /DDEBUG ${CMAKE_CXX_FLAGS}")
	SET(CMAKE_CXX_FLAGS_RELEASE        "/O3 ${CMAKE_CXX_FLAGS}")
	SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "/O3 /D /DDEBUG ${CMAKE_CXX_FLAGS}")
ELSE(MSVC)
	SET(CMAKE_C_FLAGS_DEBUG            "-g3 -Wall -O0 ${CMAKE_C_FLAGS}")
	SET(CMAKE_C_FLAGS_RELEASE          "-O3 ${CMAKE_C_FLAGS}")
	SET(CMAKE_C_FLAGS_RELWITHDEBINFO   "-O3 -g ${CMAKE_C_FLAGS}")
	SET(CMAKE_CXX_FLAGS_DEBUG          "-g3 -Wall -O0 ${CMAKE_CXX_FLAGS}")
	SET(CMAKE_CXX_FLAGS_RELEASE        "-O3 ${CMAKE_CXX_FLAGS}")
	SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O3 -g ${CMAKE_CXX_FLAGS}")
ENDIF(MSVC)
##############################################################################################
# Setting libraries and includes
#

IF(WITH_ZLIB)
	INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${ZLIB_LIBRARY})
ENDIF(WITH_ZLIB)
IF(WITH_BZIP2)
	INCLUDE_DIRECTORIES(${BZIP2_INCLUDE_DIR})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${BZIP2_LIBRARY})
ENDIF(WITH_BZIP2)
IF(WITH_XZ)
	INCLUDE_DIRECTORIES(${XZ_INCLUDE_DIR})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${XZ_LIBRARY})
ENDIF(WITH_XZ)
IF(WITH_CURL)
	FIND_PROGRAM(CURL_CONFIG curl-config
		DOC "The curl-config executable path, used to determine SFTP support.")
	# If we can find the config script, we will run it and attempt to parse out the
	# availability of SFTP support. Otherwise, we will assume the library was built
	# without it.
	IF(CURL_CONFIG)
		EXECUTE_PROCESS(
			COMMAND ${CURL_CONFIG} --protocols
			COMMAND grep SFTP
			COMMAND wc -l
			OUTPUT_VARIABLE CURL_CONFIG_OUTPUT
			OUTPUT_STRIP_TRAILING_WHITESPACE)
		IF(CURL_CONFIG_OUTPUT STREQUAL "1")
			ADD_DEFINITIONS(-DCURLSFTPAVAILABLE)
			MESSAGE(STATUS "cURL SFTP Support: Yes")
		ELSE(CURL_CONFIG_OUTPUT STREQUAL "1")
			MESSAGE(STATUS "cURL SFTP Support: No")
		ENDIF(CURL_CONFIG_OUTPUT STREQUAL "1")
	ENDIF(CURL_CONFIG)
	INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIRS})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${CURL_LIBRARY})
ENDIF(WITH_CURL)
IF(WITH_CLUCENE)
	INCLUDE_DIRECTORIES(${CLUCENE_INCLUDE_DIR})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${CLUCENE_LIBRARY})
	LINK_DIRECTORIES(${CLUCENE_LIBRARY_DIR})
	ADD_DEFINITIONS(-DUSELUCENE)
	IF(CLUCENE2)
		ADD_DEFINITIONS(-DCLUCENE2)
	ENDIF(CLUCENE2)
ENDIF(WITH_CLUCENE)
IF(WITH_ICU)
	INCLUDE_DIRECTORIES(${ICU_INCLUDE_DIRS})
	ADD_DEFINITIONS(${ICU_DEFINITIONS})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${ICU_LIBRARIES} ${ICU_I18N_LIBRARIES})
ENDIF(WITH_ICU)
IF(REGEX_FOUND AND CROSS_COMPILE_MINGW32)
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${REGEX_LIBRARY})
ENDIF(REGEX_FOUND AND CROSS_COMPILE_MINGW32)

IF(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(sword ${SWORD_LINK_LIBRARIES})
ENDIF(BUILDING_SHARED)

IF(BUILDING_STATIC)
	TARGET_LINK_LIBRARIES(sword_static ${SWORD_LINK_LIBRARIES})
ENDIF(BUILDING_STATIC)

MESSAGE(STATUS "Setting link libraries to ${SWORD_LINK_LIBRARIES}")

##############################################################################################
#########
### TODO: Not sure about these...
#########
##############################################################################################
ADD_DEFINITIONS(-D_FTPLIB_NO_COMPAT)

#############################################################################################
# Platform-specifc bits that I will eventually refactor out into their own files, once I am happy
# with the stuff that is here.
#
IF(APPLE OR iPhone)
	ADD_DEFINITIONS(-Dunix)
ENDIF(APPLE OR iPhone)

##############################################################################################
# Our build test
#

ADD_EXECUTABLE(buildtest buildtest.cpp)
IF(BUILDING_STATIC)
	TARGET_LINK_LIBRARIES(buildtest sword_static)
ELSE(BUILDING_STATIC)
	TARGET_LINK_LIBRARIES(buildtest sword)
ENDIF(BUILDING_STATIC)

##############################################################################################
# Installing the library, headers, utilies, etc
#

INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/install.cmake")

=== bindings/swig/perl/CMakeLists.txt ===
# This method works but there is no good way to install the results of it
#FIND_PACKAGE(PerlLibs REQUIRED)
#INCLUDE_DIRECTORIES(${PERL_INCLUDE_PATH})
#
#SET_SOURCE_FILES_PROPERTIES(../sword.i PROPERTIES CPLUSPLUS ON)
#SET_SOURCE_FILES_PROPERTIES(../sword.i PROPERTIES SWIG_FLAGS "")
#
#SWIG_ADD_MODULE(Sword perl
#	"../sword.i"
#)
#
#SWIG_LINK_LIBRARIES(Sword ${PERL_LIBRARY} ${SWORD_LINK_NAME})

FIND_PACKAGE(Perl REQUIRED)

SET(PERL_MAKEFILE "#!${PERL_EXECUTABLE}

use ExtUtils::MakeMaker;

# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written
WriteMakefile(
	'NAME'		=> 'Sword',
	'VERSION'	=> '${SWORD_VERSION}',
	'INC'		=> '-I${CMAKE_SOURCE_DIR}/include -I${CMAKE_CURRENT_SOURCE_DIR}/..',
	'DEFINE'	=> '-DSWIG',
	'LIBS'		=> '-L${CMAKE_BINARY_DIR} -lsword -lz',
	'FIRST_MAKEFILE' => 'Makefile.perlswig',
	'PREREQ_PM'	=> {},
		($] >= 5.005 ? ## Add these new keywords supported since 5.005
		(ABSTRACT => 'Sword Project perl bindings', # retrieve abstract from module
		AUTHOR => 'Sword Project <sword-devel@crosswire.org>') : ()),
);

rename 'Makefile.perlswig', 'Makefile.perlswig.old' or die \"Can't rename Makefile\";
open(INPUT, '<Makefile.perlswig.old') or die \"Can't open input Makefile.old\";
open(OUTPUT,'>Makefile.perlswig') or die \"Can't open output Makefile\";
while (<INPUT>) {
  s/\\-lsword/\\-lsword \\-lstdc\\+\\+/;
  print OUTPUT \"$_\";
}

close INPUT;
close OUTPUT;")
FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/Makefile.PL "${PERL_MAKEFILE}")

SET(SKIP_MAKEFILE "\\.old
~$
\\.bak
^CVS
Makefile$")
FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/Makefile.SKIP "${SKIP_MAKEFILE}")

SWORD_SWIG_GENERATE(perl)

ADD_CUSTOM_COMMAND(OUTPUT MANIFEST Makefile.perlswig
	COMMAND ${PERL_EXECUTABLE} Makefile.PL && make -f Makefile.perlswig clean
	COMMAND ${PERL_EXECUTABLE} Makefile.PL && make -f Makefile.perlswig manifest
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

ADD_CUSTOM_TARGET(perlswig ALL
	COMMAND make -f Makefile.perlswig
	DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Sword.cxx ${CMAKE_CURRENT_BINARY_DIR}/Makefile.perlswig ${SWORD_LINK_NAME}
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

INSTALL(SCRIPT install.cmake)

MESSAGE(STATUS "Perl: yes")

=== debian/changelog ===
sword (1.8.1-3) unstable; urgency=high

  * dh_missing fail-missing
  * debian/*install*: install missing files
  * updated patches
  * fixed: useless depends dh-autoreconf
  * fixed: lintian: debian-rules-should-not-use-custom-compression-settings 
    dh_builddeb

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 01 Nov 2018 10:42:56 +0100

sword (1.8.1-2) unstable; urgency=high

  * apply patch for reproducible build, Closes: #912161
  * upstream fixed diatheke bug, Closes: #673033

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 30 Oct 2018 07:36:15 +0100

sword (1.8.1-1) unstable; urgency=high

  * new upstream version 1.8.1
  * remove already applied patches

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 28 Oct 2018 12:10:39 +0100

=== debian/control ===
Source: sword
Build-Depends: debhelper (>= 10),
               cmake,
               libz-dev,
               pkg-config,
               libcurl4-gnutls-dev,
               libclucene-dev,
               libicu-dev,
               chrpath,
	       perl
Section: libs
Priority: optional
Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
Uploaders: Daniel Glassey <wdg@debian.org>,
 Dimitri John Ledkov <xnox@debian.org>,
 Jonathan Marsden <jmarsden@fastmail.fm>,
 Dominique Corbex <dominique@corbex.org>,
 Teus Benschop <teusjannette@gmail.com>
Standards-Version: 4.2.1
Homepage: http://www.crosswire.org/sword/
Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/sword
Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/sword.git

Package: libsword11v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libsword-common, ${shlibs:Depends}, ${misc:Depends}
Recommends: sword-frontend
Multi-Arch: same
Description: API/library for bible software
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the core libraries for the project.
 It also contains utilities for generating data modules.
 .
 Please read the README.Debian for more information on how to obtain other
 modules for SWORD.

Package: libsword-dev
Architecture: any
Section: libdevel
Depends: libsword11v5 (= ${binary:Version}), ${misc:Depends}
Recommends: libsword-utils
Multi-Arch: same
Description: Development files for libsword
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the static libraries and headers for developing 
 applications that use the SWORD library.

Package: libsword-common
Architecture: all
Section: devel
Depends: ${misc:Depends}
Conflicts: libsword6, libsword7, libsword8
Replaces: libsword6, libsword7, libsword8
Multi-Arch: foreign
Description: common settings and module repository for libsword
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains sword configuration and global module repository.

Package: libsword-utils
Architecture: any
Section: devel
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsword6, libsword7, libsword8
Replaces: libsword6, libsword7, libsword8
Description: conversion utilities for bible documents in SWORD supported formats
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains utilities to convert documents in various
 formats into those suitable to be used with SWORD library.

Package: libsword-dbg
Architecture: any
Section: debug
Priority: optional
Multi-Arch: same
Depends: libsword11v5 (= ${binary:Version}), ${misc:Depends}
Description: API/library for bible software - Debug Files
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the debug symbols for the libsword library.

Package: diatheke
Architecture: any
Section: text
Provides: sword-frontend
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line bible browsing and search tool
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains a command line utility for SWORD, allowing
 bible browsing and searching. This tool is used mostly only for
 library testing. Nicer front-ends are Xiphos (Gtk), Bibletime (Qt)
 and others.

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE := 1
ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)
ver:=$(shell dpkg-parsechangelog | sed -nr "2s/Version: (.*)-.*/\1/p")
bd :=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

WFLAGS   := -Wall
# Hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf
override_dh_auto_configure:
	./usrinst.sh
	./autogen.sh 
	dh_auto_configure
debian/man/%.1: debian/man/%.1.pod
	pod2man --release="SWORD $(ver)" --center "Sword Module Utilities" $< > $@
override_dh_auto_build: $(basename $(wildcard debian/man/*.pod))
	dh_auto_build
override_dh_auto_install:
	dh_auto_install
override_dh_install:
	-chrpath -d debian/tmp/usr/bin/*
	-chrpath -d debian/tmp/usr/lib/*so*
	-chrpath -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*so*
	dh_install --list-missing
	# Don't embed absolute build path in wrapper scripts
	sed -i '/# Add our own library path TO LD_LIBRARY_PATH/d' debian/*/usr/bin/*
	sed -i '/LD_LIBRARY_PATH="\//d' debian/*/usr/bin/*
	# Fixes FTBFS if running binary-arch target only
	-chmod -x debian/libsword-common/usr/share/sword/locales.d/*
	# Remove empty directory: usr/share/sword/modules
	-rmdir debian/libsword-common/usr/share/sword/modules
override_dh_strip:
	dh_strip --dbg-package=libsword-dbg
override_dh_makeshlibs:
	dh_makeshlibs
override_dh_clean:
	dh_clean $(patsubst %.pod, %, $(wildcard debian/man/*.pod))
override_dh_missing:
	dh_missing --fail-missing

MAKEFILE = $(firstword $(MAKEFILE_LIST))
SOURCE_DIR = $(dir $(MAKEFILE))/..
get-orig-source:
	chmod +x $(SOURCE_DIR)/debian/dfsg.sh
	cd $(SOURCE_DIR) && uscan --force-download --rename --destdir .

## sword 1.8.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sword
 Build-Depends: debhelper (>= 10),
-               cmake,
                libz-dev,
                pkg-config,
                libcurl4-gnutls-dev,
@@ -21,11 +20,13 @@
 Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/sword
 Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/sword.git
 
-Package: libsword11v5
+Package: libsword-1.8.1
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libsword-common, ${shlibs:Depends}, ${misc:Depends}
 Recommends: sword-frontend
+Breaks: libsword11v5 (>= 1.8)
+Replaces: libsword11v5 (>= 1.8)
 Multi-Arch: same
 Description: API/library for bible software
  The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
@@ -42,7 +43,7 @@
 Package: libsword-dev
 Architecture: any
 Section: libdevel
-Depends: libsword11v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libsword-1.8.1 (= ${binary:Version}), ${misc:Depends}
 Recommends: libsword-utils
 Multi-Arch: same
 Description: Development files for libsword
@@ -85,20 +86,6 @@
  This package contains utilities to convert documents in various
  formats into those suitable to be used with SWORD library.
 
-Package: libsword-dbg
-Architecture: any
-Section: debug
-Priority: optional
-Multi-Arch: same
-Depends: libsword11v5 (= ${binary:Version}), ${misc:Depends}
-Description: API/library for bible software - Debug Files
- The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
- MacOSX etc.) API/library for Bible software with a constantly growing list 
- of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
- text modules.
- .
- This package contains the debug symbols for the libsword library.
-
 Package: diatheke
 Architecture: any
 Section: text

## sword 1.8.1+dfsg

=== tests/CMakeLists.txt ===
#########################################################################################
# A test suite - that is awesome.
#
# I should probably learn the proper usage of such things as CTest for this, but for the
# time being, I'll see what I can do.
# 
#
# I need some help deciphering tests/cppunit/Makefile.am.  I'm not quite sure what it is
# trying to do in there.
# Also, the contents of the tests/testsuite directory are slightly beyond my knowledge
# level.  It looks like I can do a very simple interface to this all, but I need to know
# more about how these tests work.
# 

MESSAGE(STATUS "\n-- CONFIGURING LIBRARY TESTS")

SET(test_PROGRAMS
	bibliotest
	casttest
	ciphertest
	complzss
	compnone
	configtest
	filtertest
	introtest
	indextest
	keycast
	keytest
	lextest
	listtest
	localetest
	mgrtest
	modtest
	osistest
	ldtest
	parsekey
	rawldidxtest
	romantest
	striptest
	swaptest
	swbuftest
	testblocks
	utf8norm
	versekeytest
	vtreekeytest
	versemgrtest
	webiftest
	xmltest
)

IF(WITH_ICU)
	SET(test_PROGRAMS
		${test_PROGRAMS}
		icutest
#		tlitmgrtest
		translittest
	)
ENDIF(WITH_ICU)

IF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)
	SET(test_PROGRAMS
		${test_PROGRAMS}
		compzip
	)
ENDIF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)

FOREACH(TEST ${test_PROGRAMS})
	ADD_EXECUTABLE(${TEST} EXCLUDE_FROM_ALL	${TEST}.cpp)
	IF(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES(${TEST}	sword)
	ELSE(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES(${TEST} sword_static)
	ENDIF(BUILDING_SHARED)
ENDFOREACH(TEST ${test_PROGRAMS})

########################################################################################
# The following tests require extra libraries to run
# 
FOREACH(ICUTEST icutest translittest)
	TARGET_LINK_LIBRARIES(${ICUTEST} ${ICU_LIBRARIES} ${ICU_I18N_LIBRARIES})
ENDFOREACH(ICUTEST icutest translittest)

# Excluded until I know we have the tests working
ADD_SUBDIRECTORY(testsuite)

=== utilities/CMakeLists.txt ===
######################################################################
# Basic utility programs and their joy.
#
# The general assumption is that each of these utilities is built from
# a single source file, which shares its name with the utility itself (appended with .cpp),
# and then linked against the SWORD library.
#
# This list will be built and installed, if so chosen
#
# These are in alphbetical order now - please keep them that way
# if you edit this list in the future.
#
SET(install_UTILITIES
	addld
	emptyvss
	imp2gbs
	imp2ld
	imp2vs
	installmgr
	mkfastmod
	mod2imp
	mod2osis
	mod2vpl
	tei2mod
	vpl2mod
	vs2osisref
	vs2osisreftxt
	xml2gbs
	osis2mod
)

IF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)
	SET(install_UTILITIES ${install_UTILITIES} mod2zmod)
ENDIF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)

######################################################################
# These utilities will be built, but they will not be installed
#
# Again, I have gone to great lengths of travail to make this list
# alphabetical.  If you add utilities to this list, please do so in a
# way that maintains this.
SET(noinstall_UTILITIES
	addgb
	addvs
	gbfidx
	genbookutil
	modwrite
	step2vpl
	stepdump
	treeidxutil
)

#####################################################################
# This will loop over both of the above utility lists and add build targets
# to the system for each one of them.
#

FOREACH(UTIL ${install_UTILITIES} ${noinstall_UTILITIES})
	ADD_EXECUTABLE("${UTIL}"	"${UTIL}.cpp")
	IF(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES("${UTIL}" sword)
	ELSE(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES("${UTIL}" sword_static)
	ENDIF(BUILDING_SHARED)
ENDFOREACH(UTIL ${install_UTILITIES})

####################################################################
# Just to be difficult, we have a single C file that is a utility
# and, therefore, needs its own treatment.
#

ADD_EXECUTABLE(lexdump	lexdump.c)
IF(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(lexdump sword)
ELSE(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(lexdump sword_static)
ENDIF(BUILDING_SHARED)

####################################################################
# Install the utilities
#
# We do this here, rather than up in the main install file, because
# a) it fits more logically and b) the scope of ${install_UTILITIES}
# is limited to CMake files in this directory and below, so rather than
# replicate the above list in another place, we'll just handle our
# own install, since this whole directory is optional, anyway.
#
FOREACH(UTIL ${install_UTILITIES})
	INSTALL(TARGETS ${UTIL}
        RUNTIME DESTINATION "${BINDIR}"
		COMPONENT utilities
	)
ENDFOREACH(UTIL ${install_UTILITIES})

ADD_SUBDIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/diatheke")

=== bindings/Android/Makefile ===
all: javawrapper
	cp -a SWORD/app/build/intermediates/transforms/stripDebugSymbol/release/0/lib/* ../cordova/org.crosswire.sword.cordova.SWORD/libs/android/

debug: javawrapper
	cp -a SWORD/app/build/intermediates/cmake/debug/obj/* ../cordova/org.crosswire.sword.cordova.SWORD/libs/android/

javawrapper:
	cp -a SWORD/app/src/main/java/org/crosswire/android/sword/* ../cordova/org.crosswire.sword.cordova.SWORD/src/android/

clean:
	#these are from ../java-jni
	rm SWORD/app/src/main/java/org/crosswire/android/sword/InstallMgr.java SWORD/app/src/main/java/org/crosswire/android/sword/SWMgr.java SWORD/app/src/main/java/org/crosswire/android/sword/SWModule.java

=== bindings/cordova/Makefile ===
all:
	@echo
	@echo "native binary component is built from ../Android/"
	@echo

clean:
	# these are from ../Android
	rm -rf org.crosswire.sword.cordova.SWORD/libs/android/*
	rm org.crosswire.sword.cordova.SWORD/src/android/AndroidMgr.java org.crosswire.sword.cordova.SWORD/src/android/InstallMgr.java org.crosswire.sword.cordova.SWORD/src/android/SWMgr.java org.crosswire.sword.cordova.SWORD/src/android/SWModule.java

=== bindings/java-jni/Makefile ===
all:
	cp ../corba/orbitcpp/webmgr.hpp jni/
	mkdir -p classes
	javac -d classes src/org/crosswire/android/sword/*.java
	javah -d jni -classpath classes -jni org.crosswire.android.sword.SWMgr
	javah -d jni -classpath classes -jni org.crosswire.android.sword.SWModule
	javah -d jni -classpath classes -jni org.crosswire.android.sword.InstallMgr
	javap -s -classpath classes/ org.crosswire.android.sword.SWMgr > SWMgr.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWMgr.ModInfo > ModInfo.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWModule > SWModule.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWModule.SearchHit > SearchHit.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWModule.SearchProgressReporter > SearchProgressReporter.txt
	javap -s -classpath classes/ org.crosswire.android.sword.InstallMgr > InstallMgr.txt
	cp src/org/crosswire/android/sword/*.java ../Android/SWORD/app/src/main/java/org/crosswire/android/sword/


clean:
	rm -rf classes jni/org_crosswire_android_sword_*.h *.txt

=== bindings/objc/Makefile ===
#
# First enter dependencies/ and run make
#
# Then open this project ObjCSword.xcodeproj with xcode, select Product|Scheme|SWORD (note all caps)
# Build
#
# Then come here and type make
#

all: deploycordova

deploycordova:
	mkdir -p ../cordova/org.crosswire.sword.cordova.SWORD/libs/ios/
	cp ./dependencies/curl/lib/libcurl.a ../cordova/org.crosswire.sword.cordova.SWORD/libs/ios/
#	cp ./Build/Debug-iphonesimulator/libSWORD.a ../cordova/org.crosswire.sword.cordova.SWORD/libs/ios/
#	cp ./Build/Debug-iphoneos/libSWORD.a ../cordova/org.crosswire.sword.cordova.SWORD/libs/ios/
	cp SWORD/Release-universal/libSWORD.a ../cordova/org.crosswire.sword.cordova.SWORD/libs/ios/
	cp ../../include/defs.h ../../include/flatapi.h ../cordova/org.crosswire.sword.cordova.SWORD/src/ios/

=== examples/classes/Makefile ===
TARGETS= ciphercng swmgrex verseranges lastVerseInChapter verseposition simplechapter flatapilookup flatapiparsekey flatapisearch versenorm flatapiinstallmgr
all: $(TARGETS)

clean:
	rm $(TARGETS)

.cpp:
	g++ -O0 -g -Wall -Werror `pkg-config --cflags sword` $< -o $@ `pkg-config --libs sword`
.c:
	gcc -O0 -g -Wall -Werror `pkg-config --cflags sword` $< -o $@ `pkg-config --libs sword` -lstdc++

=== examples/cmdline/CMakeLists.txt ===
##################################################################################
# These are some examples.  If you want examples to be built, you need to define
# SWORD_BUILD_EXAMPLES="Yes".  These will not be installed, so don't worry about
# that.
# 
MESSAGE(STATUS "\n-- CONFIGURING LIBRARY EXAMPLES")
SET(example_PROGRAMS
	listoptions
	lookup
	outplain
	outrender
	search
	verserangeparse
	stripaccents
)

FOREACH(DEMO ${example_PROGRAMS})
	ADD_EXECUTABLE("${DEMO}"	"${DEMO}.cpp")
	TARGET_LINK_LIBRARIES("${DEMO}" sword)
ENDFOREACH(DEMO ${example_PROGRAMS})

##################################################################################
# This example uses pthreads explicity.  I don't know if it supports anything else,
# but until I find out, I will force it to find PTHREADS only
# 

FIND_PACKAGE(Threads)

IF(CMAKE_USE_PTHREADS_INIT OR CMAKE_HP_PTHREADS_INIT)
	ADD_EXECUTABLE(threaded_search	threaded_search.cpp)
	TARGET_LINK_LIBRARIES(threaded_search
		sword
		${CMAKE_THREAD_LIBS_INIT}
	)
ENDIF(CMAKE_USE_PTHREADS_INIT OR CMAKE_HP_PTHREADS_INIT)

=== tests/testsuite/CMakeLists.txt ===
#############################################################################
# This file will actually be responsible for running the tests
#

FILE(WRITE "${CMAKE_CURRENT_BINARY_DIR}/sword.conf" "[Install]\nLocalePath=${CMAKE_CURRENT_SOURCE_DIR}/../../")

ADD_CUSTOM_TARGET(
	tests_configure
	COMMAND cp "${CMAKE_CURRENT_SOURCE_DIR}/*.{sh,good,imp,txt,xml}" "${CMAKE_CURRENT_BINARY_DIR}"
	DEPENDS ${test_PROGRAMS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

ADD_CUSTOM_TARGET(
	tests
	COMMAND ./runall.sh
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

ADD_DEPENDENCIES(
	tests
	tests_configure
)

MESSAGE(STATUS "Testing configured.")

=== bindings/corba/java/Makefile ===
#CHANGE THESE TO MATCH YOUR SYSTEM
TOMCAT_HOME=/opt/tomcat
#instdir=${TOMCAT_HOME}/webapps/swordweb

# Typically you'll point this to your home directory, e.g.
instdir=/home/swordweb/livehtml/webapp
#instdir=/home/sword/html
#instdir=/home/scribe/src/swordweb/webapp

SERVLET_LIB=${TOMCAT_HOME}/lib/servlet-api.jar

# Older tomcat uses this path
#SERVLET_LIB=${TOMCAT_HOME}/common/lib/servlet-api.jar


all: src/org/crosswire/sword/orb/SWMgr.java classes/org/crosswire/sword/orb/SwordOrb.class

src/org/crosswire/sword/orb/SWMgr.java: ../swordorb.idl
	idlj -pkgTranslate swordorb org.crosswire.sword.orb -td src ../swordorb.idl

classes/org/crosswire/sword/orb/SwordOrb.class: src/org/crosswire/sword/orb/SwordOrb.java
	javac -classpath ${SERVLET_LIB} -d classes -sourcepath src src/org/crosswire/sword/orb/*.java src/org/crosswire/util/*.java


clean:
	rm -f src/org/crosswire/sword/orb/SW*.java
	rm -f src/org/crosswire/sword/orb/_SW*.java
	rm -f src/org/crosswire/sword/orb/Mod*.java
	rm -f src/org/crosswire/sword/orb/Search*.java
	rm -f src/org/crosswire/sword/orb/String*.java
	rm -rf classes/*

install:
	cp -r classes/org/ ${instdir}/WEB-INF/classes/

=== bindings/corba/omniorbcpp/Makefile ===
all: server testclient

PREFIX = $(shell grep ^prefix ../../../Makefile|cut -f3 -d' ')

#sword stuff
CXXFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags sword)
CFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags sword)
LIBS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --libs sword)

#orbit stuff
CFLAGS += $(shell orbit2-config --cflags)
CFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags omniORB4)
CXXFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags omniORB4)
LIBS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --libs omniORB4)

LIBS += -L/usr/lib64 

#comment out for release
#CXXFLAGS += -g -O0
#CFLAGS += -g -O0
#LDFLAGS += -g -O0
CXXFLAGS += -O3
CFLAGS += -O3
#-----------------------------------------------------------------------------


server: server.cpp swordorb-impl.o swordorb-stubs.o 
	$(CXX) $(CXXFLAGS) -I. -o server server.cpp swordorb-impl.o swordorb-stubs.o $(LIBS)

testclient: testclient.cpp swordorb-impl.cpp swordorb-stubs.o 
	$(CXX) $(CXXFLAGS) -I. -o testclient testclient.cpp swordorb-stubs.o $(LIBS)

swordorb-impl.o: swordorb.h swordorb-impl.cpp 
	$(CXX) $(CXXFLAGS) -I. -c swordorb-impl.cpp


swordorb.h: ./../swordorb.idl
	omniidl -bcxx -Wbh=.h -Wbs=-stubs.cpp ./../swordorb.idl

swordorb-stubs.o: swordorb-stubs.cpp
	$(CC) $(CFLAGS) -I. -c swordorb-stubs.cpp

clean:
	rm -f *.h *-stubs.cpp *.cc *.o *.c server testclient

install:
	mkdir -p $(PREFIX)/bin
	cp -f server $(PREFIX)/bin/swordorbserver

=== bindings/swig/python/CMakeLists.txt ===
# This method works, but there is no established way to do the installation
#FIND_PACKAGE(PythonLibs REQUIRED)
#INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_DIRS})
#
#SET_SOURCE_FILES_PROPERTIES(../sword.i PROPERTIES CPLUSPLUS ON)
#SET_SOURCE_FILES_PROPERTIES(../sword.i PROPERTIES SWIG_FLAGS "")
#
#SWIG_ADD_MODULE(Sword python
#	"../sword.i"
#)
#
#SWIG_LINK_LIBRARIES(Sword ${PYTHON_LIBRARIES} ${SWORD_LINK_NAME})

FIND_PACKAGE(PythonInterp REQUIRED)
FIND_PACKAGE(PythonLibs)

IF(NOT PYTHONLIBS_FOUND)
	MESSAGE(FATAL_ERROR "Failed to locate Python.h header.")
ENDIF(NOT PYTHONLIBS_FOUND)

SET(PY_SCRIPT "#!${PYTHON_EXECUTABLE}

from distutils.core import setup, Extension
setup(name='sword',version='${SWORD_VERSION}',
maintainer='Sword Developers',
maintainer_email='sword-devel@crosswire.org',
url='http://www.crosswire.org/sword',
py_modules=['Sword'],
include_dirs=['${CMAKE_CURRENT_SOURCE_DIR}', '${CMAKE_SOURCE_DIR}/include', '${CMAKE_CURRENT_SOURCE_DIR}/..', '${CMAKE_CURRENT_SOURCE_DIR}../../'],
ext_modules = [Extension('_Sword',['Sword.cxx'],
libraries=[('sword')],
library_dirs=[('${CMAKE_BINARY_DIR}')],
)]
,)"
)

FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/setup.py "${PY_SCRIPT}")

SWORD_SWIG_GENERATE(python)

ADD_CUSTOM_TARGET(swordswig ALL
	COMMAND python setup.py build
	DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Sword.cxx ${SWORD_LINK_NAME}
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

# Allow user installation to custom directory
IF(NOT SWORD_PYTHON_INSTALL_DIR STREQUAL "")
	SET(SETUP_ARGS "\"--prefix=${SWORD_PYTHON_INSTALL_DIR}\"")
ENDIF(NOT SWORD_PYTHON_INSTALL_DIR STREQUAL "")
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/install.cmake.in"
	       "${CMAKE_CURRENT_BINARY_DIR}/install.cmake")

# Run external installation script
INSTALL(SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/install.cmake")

MESSAGE(STATUS "Python: yes")

=== debian/changelog ===
sword (1.8.1+dfsg-8build3) focal; urgency=medium

  * No-change rebuild against libicu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 18:31:21 +0000

sword (1.8.1+dfsg-8build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:44:08 +0100

sword (1.8.1+dfsg-8build1) disco; urgency=medium

  * No-change rebuild for icu soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Nov 2018 08:20:37 +0000

sword (1.8.1+dfsg-8) unstable; urgency=medium

  * Breaks/Replaces on libsword11v5 >= 1.8, Closes: #913407
      Thanks to Andreas Beckmann
  * Patch to build against libicu63, Closes: #913511
      Thanks to László Böszörményi the icu maintainer for the patch
  * 1.8.1+dfsg-1 made build reproducible again, Closes: #912161
      was fixed in the fix for 913076
      Thanks to Chris Lamb for the earlier reproducibility patch
  * let's get back to consecutive version numbers ;)
  * transition in progress, apologies for not notifying the
      release team - only xiphos and bibletime affected

 -- Daniel Glassey <wdg@debian.org>  Mon, 12 Nov 2018 23:05:48 +0700

sword (1.8.1+dfsg-7) unstable; urgency=medium

  * debian/python-sword.install: removed

 -- Teus Benschop <teusjannette@gmail.com>  Sat, 10 Nov 2018 15:10:09 +0100

sword (1.8.1+dfsg-1) experimental; urgency=medium

  [ Daniel Glassey ]
  * import dfsg version of upstream source
  * transition 1.8.1 into unstable
  * adjust installed utilities in libsword-utils
      according to upstream recommendations, Closes: #913076

  [ Teus Benschop ]
  * refactor existing patches

 -- Teus Benschop <teusjannette@gmail.com>  Sat, 10 Nov 2018 14:58:48 +0100

sword (1.8.1-6) experimental; urgency=medium

  * ran into dgit problems

 -- Daniel Glassey <wdg@debian.org>  Sat, 03 Nov 2018 15:05:44 +0700

sword (1.8.1-5) experimental; urgency=medium

  * lintian prefers libsword-1.8.1 as package name

 -- Daniel Glassey <wdg@debian.org>  Sat, 03 Nov 2018 13:35:15 +0700

sword (1.8.1-4) experimental; urgency=medium

  * d/watch file to use https
  * d/control don't need libsword-dbg any more
      remove dep on cmake
  * d/rules remove unused overrides
      don't run usrinst or autogen
  * new lib so version
      d/control rename lib package to libsword1.8.1
      rename d/libsword11v5.* to 1.8.1
  * d/patches
      0005-untgz-sprintf.patch to remove strtime
      0006-powerpc64.patch to build on powerpc64
      0007-gbfwordjs.patch unlikely overflow
  * for transition

 -- Daniel Glassey <wdg@debian.org>  Fri, 02 Nov 2018 10:19:32 +0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	       perl
 Section: libs
 Priority: optional
-Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
  Dimitri John Ledkov <xnox@debian.org>,
  Jonathan Marsden <jmarsden@fastmail.fm>,

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 DH_VERBOSE := 1
-ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)
+#ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)
 ver:=$(shell dpkg-parsechangelog | sed -nr "2s/Version: (.*)-.*/\1/p")
-bd :=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+#bd :=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 WFLAGS   := -Wall
@@ -11,16 +11,14 @@
 
 %:
 	dh $@ --with autoreconf
-override_dh_auto_configure:
-	./usrinst.sh
-	./autogen.sh 
-	dh_auto_configure
+
+
 debian/man/%.1: debian/man/%.1.pod
 	pod2man --release="SWORD $(ver)" --center "Sword Module Utilities" $< > $@
+
 override_dh_auto_build: $(basename $(wildcard debian/man/*.pod))
 	dh_auto_build
-override_dh_auto_install:
-	dh_auto_install
+
 override_dh_install:
 	-chrpath -d debian/tmp/usr/bin/*
 	-chrpath -d debian/tmp/usr/lib/*so*
@@ -33,12 +31,10 @@
 	-chmod -x debian/libsword-common/usr/share/sword/locales.d/*
 	# Remove empty directory: usr/share/sword/modules
 	-rmdir debian/libsword-common/usr/share/sword/modules
-override_dh_strip:
-	dh_strip --dbg-package=libsword-dbg
-override_dh_makeshlibs:
-	dh_makeshlibs
+
 override_dh_clean:
 	dh_clean $(patsubst %.pod, %, $(wildcard debian/man/*.pod))
+
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*// \
  https://www.crosswire.org/ftpmirror/pub/sword/source/v([\d\.]+)/sword-(.*)\.tar\.gz \
debian ./debian/dfsg.sh
